

		      A Moderator's Guide to ...

			       ECHOBASE
			 The Echolist program
		   Copyright (c) 1995 by Dana Bell


     Echobase is a database program that maintains a database of
     echomail conference information.  This particular program was
     written to meet the need to maintain and distribute echomail
     conference lists within FamilyNet.  Additionally the Echobase
     set is intended to support moderators with their submission to
     the FidoNet EList (now also in transition).

     With that brief introduction, the purpose of this documentation
     is to explain how moderators (or messengers) can submit updates
     to the list.  Using the FTSC netmail system, moderators may add,
     update or delete entries from the list as well as query the
     echolist.

     All messages should be addressed to ECHOlist (or
     ECHObase) 1:261/1352 .
  
     The action to be taken is determined by the subject
     line and including appropriate keywords and instructions.

     The two that would be used by moderators are
       MODerator UPDate (or MOD UPD)

     and
       MODerator DELete (or MOD DEL)

     Depending on the action requested, ECHOBASE will read the
     message, add the echo to (or update, delete) the echolist
     database, send a netmail response, announce the echo and forward
     a submission to the EList.

     The following keywords and key information are used to set the
     fields of your echolist submission.

     The keywords are truncated prior to checking, so matching will
     only be done for the capitalized portion of the keyword.
     Keywords may be capitalized or lowercase.  The following three
     entries will have the same effect.

     TAG   BOARD_GAMES
     Tagname BOARD_GAMES
     tag   BOARD_GAMES


     Functionally, Echobase uses syntax and format of the Echolist
     program with minor variations.  The variations are such that
     Echobase will accept entries using the echolist format.



     Address netmail messages to ECHOLIST at this address with the
     subject field of MOD UPD.

	  TAGname       <areatag>
	  TITLe         <brief area description>
	  DESCription   <description of the echo>
	  MODerator     <moderator name>, <moderator node>
	  COMODerator   <co-moderator name>, <co-moderator node>
	  PASSword      <current password>, <new password>
	  TOTalnodes    <number of nodes carrying this conference>
	  VOLume        <number of messages>/Month
	  RESTrictions  </MEMber, /SYSop, /MOD-apvl, /REAl, /ACC>
	  ORIGin        <origination of the distribution>
	  DISTribution  <distribution>
	  GATEway       <gateways>
	  GROUP         <Abbrev. of Network; i.e. FMLY)
	  RULE          <rules file>
	  FROM          <messenger name>, <messenger node>
	  HELP          <respond with help message>
	  OPTION        <HOLD> - holds netmail reply message.
	  ---

     Always end the message with three-dashes indicating the end of
     the message.  With the exception of the DESCription field, only
     one entry is allowed per field.  If multiple entries are included
     in the message, processing will continue but only the last one
     will be saved.  If you don't have an entry for a field, there is
     no need to include the keyword.  Only the areatag, title and
     password (if used) is necessary for updating.

     Update submissions to the echolist that don't require any changes
     may be done by including just the areatag, and PASSword if used.
     Full details already in the database will remain the same.  New
     listings will require areatag, title, and a moderator. Current
     guidelines for the FidoNet Elist also require description and a
     password.

     In order to delete an area from the list, you should use
     the subject MODerator DELete (or MOD DEL).



			 Details on keywords


     Here's some more details on each field and how it is being
     implemented here.  The list shows the keyword sequence in
     parenthesis that will be checked.


     Tagname (TAG)       - The echo's areatag.  May be up to 35
			   characters in length.
     Title (TITL)        - A short description title that briefly
			   describes the echo.  This may be 55
			   characters in length.
     Description (DESC)  - A more detailed description of the echo.
			   Each line must be preceded by the DESC
			   keyword.  A total of 1024 characters may be
			   stored in the database for this
			   description.
     Moderator (MOD) -     The primary moderator for the echo.
			   (35 characters) When followed by a comma,
			   and a 3-5d address
			   (Zone:Net/Node[.point][@domain]), the
			   address will be added to the database for
			   the echo.
     CoModerator (COMOD) - Works the same as the Moderator verb.
     Password (PASS)     - The moderator and/or messenger's password
			   (35 characters) This stores the password in
			   the record and checks for it in future
			   submissions.  Followed by a comma and
			   another password, the second password will
			   replace the initial password.
     Total nodes (TOT)   - Number of nodes connected to the conference.
			   This number will be stored in the database,
			   but currently no reports refer to this
			   count. (any number less that 1 million or so)
     Volume (VOL)        - Number of messages generated per month in
			   the echo.  A monthly count is common and an
			   easy way to visualise.
     Restrictions (REST) - Restrictions on echo participation (3 flags
			   or 25 characters).  The REST field will set
			   either of two field depending on the
			   content.  If abbreviations </MEMber,
			   /SYSop, /MOD-apvl, /REAlnames, /ACCess
			   read-only> are submitted, they will set the
			   flags.  Otherwise, it will be used in the
			   Notes field.  Include more detailed
			   restrictions in either the description or
			   the rule file.
     Origin (ORIG)       - Description of origin (35 characters) This
			   is a text field that will accept any
			   description of origin.  This may either be
			   network and/or other address.
     Distribution (DIST) - Description of means of distribution. (59
			   characters) This is a text field where you
			   will probably want to include references to
			   such things as FamilyNet backbone, Planet
			   Connect, etc.
     Gateways (GATE)     - A text field for the listing of gates to
			   other zones, nets, domains, etc.  (35
			   characters)
     Seenby (SEEN)
     Path (PATH)         - This program does not support the Seenby
			   and Path specifications, but will accept
			   entries without error if these are
			   specified.
     Group (GROUP) -       This is an abbreviated network affiliation
			   word.  This will prefix the TITLe field (in
			   parentheses) in the FMLYNET.NA list of
			   echoes, and may be used in grouping echoes
			   and distributing network-specific lists
			   among other things.  In FamilyNet, the
			   standard abbreviations in use include:
			     FMLY - FamilyNet
			     CCI  - Canadian Christian Interchange
			     CCN  - Counter Cult Network
			     CDN  - Christian Distribution Net
			     CFN  - Christian Fellowship Net
			     CFC  - Computers for Christ Net
			     MJCN - Messianic Jewish Computer Network
			     UCCN - United Christian Communications Network
     RuleFile (RULE) -     Name of rules file for the conference
			   (13 characters).  If Echobase finds this
			   file in the inbound area, it will be copied
			   to the rule file repository here.
     From (FROM) -         The messenger to include in the database.
			   (35 characters) When followed by a comma,
			   and a 3-5d address
			   (Zone:Net/Node[.point][@domain]), the
			   address will be added to the database for
			   the echo. When not given, ECHOBASE will
			   attempt to get the information from the
			   message.
     Help Response (HELP)- Requests help information to be sent with
			   the reply message.
     Options (OPTION) -    HOLD puts the reply message on hold,
			   for polling, instead of routing it.

     Notes on the DESCription field:

     When submitting an entry with DESC fields, be sure to begin each
     line with DESC and end it with a hard carriage return.  Some
     editors may word wrap all messages and strip carriage returns
     when saving.  Some of these editors, however, may allow you to
     force carriage returns by indenting.  If so, you may want to try
     indenting the DESC lines with a space or tab.

     At this point, this program does not care much about the subject
     field, so you can also use the submission as a FileAttach or
     FileRequest message.  Moderator Update is the default mode.  For
     habit sake, though, you may want to use the subject Moderator
     Update (or MOD UPD).  Exception: recognizes the MOD DEL subject
     as a command to delete the area.

     A sample message might have this in the text

     TAG ECHOES
     TITLE FamilyNet echoes discussion
     MOD Joe Sysop, 8:8/8
     DESC Discussions about echoes
     DESC and moderators
     GROUP FMLY
     ---


				Textfile updates

     Echobase will also accept text file updates.  Create a text file
     with the extension .ECO using the same format as the message.
     Text files must be found in the inbound directory.
